Revoke an API key
DELETE/v1/organizations/:orgId/api-keys/:keyId
Revokes an API key. This action cannot be undone. The key will immediately stop working.
Request
Path Parameters
orgId stringrequired
Organization ID
keyId stringrequired
API Key ID (not the full key, but the keyId)
Responses
- 200
- 401
- 403
- 404
- 429
- 500
API key revoked successfully
- application/json
- Schema
- Example (from schema)
Schema
success booleanrequired
Whether the deletion was successful
message stringrequired
Status message
{
"success": true,
"message": "string"
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
message stringrequired
statusCode numberrequired
error string
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
message stringrequired
statusCode numberrequired
error string
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}
Organization or API key not found
- application/json
- Schema
- Example (from schema)
Schema
message stringrequired
statusCode numberrequired
error string
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}
Too Many Requests
- application/json
- Schema
- Example (from schema)
Schema
message stringrequired
statusCode numberrequired
error string
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
message stringrequired
statusCode numberrequired
error string
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}
Loading...